#include<bits/extc++.h>
using namespace std;
int n;
int main()
{
    cin>>n;
    int h[n];
    long long br=0;
    for(int i=0; i<n; i++)
    {
        cin>>h[i];
    }

    for(int i=0;i<n-1; i++)
    {
        for(int j=i+1;j<n; j++)
        {
             if(h[i]<h[j])
             {
                 br++;
                 if(h[j]>h[j+1])
                 {
                    break;
                 }
             }

             if(h[i]>h[j])
             {
                 br++;
                 if(h[j]<h[j+1])
                 {
                    break;
                 }
             }
        }
    }
    cout<<br*2;
    return 0;
}
